Home Reference Source

Function

Static Public Summary
public

as()

public

Provides an configured BookmarkManager instance.

since 5.0
public

isDate(obj: Object): boolean

Test if given object is an instance of Date class.

public

isDateTime(obj: Object): boolean

Test if given object is an instance of DateTime class.

public

isDuration(obj: Object): boolean

Test if given object is an instance of Duration class.

public

isLocalDateTime(obj: Object): boolean

Test if given object is an instance of LocalDateTime class.

public

isLocalTime(obj: Object): boolean

Test if given object is an instance of LocalTime class.

public

isNode(obj: Object): boolean

Test if given object is an instance of Node class.

public

isPath(obj: Object): boolean

Test if given object is an instance of Path class.

public

isPathSegment(obj: Object): boolean

Test if given object is an instance of PathSegment class.

public

isPoint(obj: Object): boolean

Test if given object is an instance of Point class.

public

isRelationship(obj: Object): boolean

Test if given object is an instance of Relationship class.

public

isTime(obj: Object): boolean

Test if given object is an instance of Time class.

public

isUUID(obj: Object): boolean

Test if given object is an instance of the UUID class.

public

isUnsupportedType(obj: Object): boolean

Test if given object is an instance of the UnsupportedType class.

public

isVector(obj: Object): boolean

Test if given object is an instance of the Vector class.

public

localKeyEncapsulationService(masterKey: Uint8Array): KeyEncapsulationService

this function is experimental. Part of the Client-Side Encrytion preview feature

Returns a new KeyEncapsulationService implementation that uses the provided AES-256 SecretKey as a master key for encapsulating and decapsulating data keys.

public

uuid(rawUUID: Uint8Array | string): UUID

Creates a UUID from a uuid string or length 16 Uint8Array, allowing it to be sent as a parameter of a Neo4j query.

public

vector(typedArray: Float32Array | Float64Array | Int8Array | Int16Array | Int32Array | BigInt64Array): Vector

Cast a TypedArray to a Vector

Static Public

public as() source

public bookmarkManager(config: BookmarkManagerConfig): BookmarkManager since 5.0 source

import {bookmarkManager} from 'neo4j-driver-core/lib/bookmark-manager.js'

Provides an configured BookmarkManager instance.

Params:

NameTypeAttributeDescription
config BookmarkManagerConfig
  • optional
  • default: {}

Return:

BookmarkManager

public isDate(obj: Object): boolean source

Test if given object is an instance of Date class.

Params:

NameTypeAttributeDescription
obj Object

The object to test.

Return:

boolean

true if given object is a Date, false otherwise.

public isDateTime(obj: Object): boolean source

import {isDateTime} from 'neo4j-driver-core/lib/temporal-types.js'

Test if given object is an instance of DateTime class.

Params:

NameTypeAttributeDescription
obj Object

The object to test.

Return:

boolean

true if given object is a DateTime, false otherwise.

public isDuration(obj: Object): boolean source

import {isDuration} from 'neo4j-driver-core/lib/temporal-types.js'

Test if given object is an instance of Duration class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Duration, false otherwise.

public isLocalDateTime(obj: Object): boolean source

import {isLocalDateTime} from 'neo4j-driver-core/lib/temporal-types.js'

Test if given object is an instance of LocalDateTime class.

Params:

NameTypeAttributeDescription
obj Object

The object to test.

Return:

boolean

true if given object is a LocalDateTime, false otherwise.

public isLocalTime(obj: Object): boolean source

import {isLocalTime} from 'neo4j-driver-core/lib/temporal-types.js'

Test if given object is an instance of LocalTime class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a LocalTime, false otherwise.

public isNode(obj: Object): boolean source

Test if given object is an instance of Node class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Node, false otherwise.

public isPath(obj: Object): boolean source

Test if given object is an instance of Path class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Path, false otherwise.

public isPathSegment(obj: Object): boolean source

import {isPathSegment} from 'neo4j-driver-core/lib/graph-types.js'

Test if given object is an instance of PathSegment class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a PathSegment, false otherwise.

public isPoint(obj: Object): boolean source

Test if given object is an instance of Point class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Point, false otherwise.

public isRelationship(obj: Object): boolean source

import {isRelationship} from 'neo4j-driver-core/lib/graph-types.js'

Test if given object is an instance of Relationship class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Relationship, false otherwise.

public isTime(obj: Object): boolean source

Test if given object is an instance of Time class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Time, false otherwise.

public isUUID(obj: Object): boolean source

import {isUUID} from 'neo4j-driver-core/lib/uuid.js'

Test if given object is an instance of the UUID class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a UUID, false otherwise.

public isUnsupportedType(obj: Object): boolean source

import {isUnsupportedType} from 'neo4j-driver-core/lib/unsupported-type.js'

Test if given object is an instance of the UnsupportedType class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is an UnsupportedType, false otherwise.

public isVector(obj: Object): boolean source

import {isVector} from 'neo4j-driver-core/lib/vector.js'

Test if given object is an instance of the Vector class.

Params:

NameTypeAttributeDescription
obj Object

the object to test.

Return:

boolean

true if given object is a Vector, false otherwise.

public localKeyEncapsulationService(masterKey: Uint8Array): KeyEncapsulationService source

import {localKeyEncapsulationService} from 'neo4j-driver-core/lib/encryption/local-key-encapsulation.js'
this function is experimental. Part of the Client-Side Encrytion preview feature

Returns a new KeyEncapsulationService implementation that uses the provided AES-256 SecretKey as a master key for encapsulating and decapsulating data keys.

Params:

NameTypeAttributeDescription
masterKey Uint8Array

the AES-256 master key

Return:

KeyEncapsulationService

the new key encapsulation service

public uuid(rawUUID: Uint8Array | string): UUID source

import {uuid} from 'neo4j-driver-core/lib/uuid.js'

Creates a UUID from a uuid string or length 16 Uint8Array, allowing it to be sent as a parameter of a Neo4j query. Created UUID objects are frozen with Object.freeze() in constructor and thus immutable.

Params:

NameTypeAttributeDescription
rawUUID Uint8Array | string

a uuid string or length 16 Uint8Array with the values of the UUID.

Return:

UUID

The Neo4j UUID ready to be used as a query parameter

public vector(typedArray: Float32Array | Float64Array | Int8Array | Int16Array | Int32Array | BigInt64Array): Vector source

import {vector} from 'neo4j-driver-core/lib/vector.js'

Cast a TypedArray to a Vector

Params:

NameTypeAttributeDescription
typedArray Float32Array | Float64Array | Int8Array | Int16Array | Int32Array | BigInt64Array

The value to use.

Return:

Vector

The Neo4j Vector ready to be used as a query parameter